<?
include 'inclydings/sesi.php';

if (isset($user)) {
if(!@file("L2dbnam/esql2db/mob/$id.dat")){include 'inclydings/zag.php'; echo"Такого монстра нет"; include 'inclydings/down.php'; exit;}
if(@file("L2dbnam/esql2db/respaun/$id.dat")){include 'inclydings/zag.php'; echo"Монстр убит"; include 'inclydings/down.php'; exit;}
$text = @file("L2dbnam/esql2db/mob/$id.dat");
$udat = explode("||",$text[0]);
$text=$udat[2].':||:'.$udat[2].':||:'.$udat[5].':||:'.$id.':||:История боя пуста:||:';
$fp=fopen("L2dbnam/esql2db/tmp/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/tmp/$log.dat", 0666);
header ("Location: ok.php?$sd");
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include_once"inclydings/down.php";
?>
